<?php

use think\facade\Route;

/**
 * 课程管理 相关路由
 */
Route::group('course', function () {
    //机构资源路由
    Route::resource('organ', 'v1.course.Organ')->name('OrganResource');
    //课程资源路由
    Route::resource('course', 'v1.course.Course')->name('CourseResource');

})->middleware([
    \app\http\middleware\AllowOriginMiddleware::class,
    \app\adminapi\middleware\AdminAuthTokenMiddleware::class,
    \app\adminapi\middleware\AdminCkeckRole::class
]);